%_form-radio-style {
  position: relative;
  height: $input-height/2;
  cursor: pointer;
  @include _align-flex(center, flex-start, row);

  &:before {
    margin-right: 10px;
    @include _font-size(14px);
  }
}

// ============================
input[type="radio"] { display: none; }


input[type="radio"] + label {
  @extend %_form-radio-style;

  &:before {
    @include _get-icon('radio-unchecked');
  }
}

input[type="radio"]:checked + label {
  &:before {
    @include _get-icon('radio-checked');
  }
}


input[type="radio"]:disabled + label {
  opacity: .5;
  cursor: not-allowed;
}